View Issue Details

IDProjectCategoryView StatusLast Update
0001488SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.11 
Target Version3.5.12Fixed in Version3.5.12 
Summary0001488: If a create event and update event for a file happen in the same batch the building of the zip file fails
DescriptionIf a create event and update event for a file happen in the same batch the building of the zip file fails
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 7b1abeb5

2013-12-14 12:04:42

chenson

Details Diff
0001488: If a create event and update event for a file happen in the same batch the building of the zip file fails
0001488
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/FileSyncTest.java Diff File

SymmetricDS: master 989e8c50

2013-12-14 12:42:03

chenson

Details Diff
0001488: also handle the case when delete and create are captured in the same batch
0001488
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/file/FileSyncZipDataWriter.java Diff File

Issue History

Date Modified Username Field Change
2013-12-14 11:44 chenson New Issue
2013-12-14 11:44 chenson Status new => assigned
2013-12-14 11:44 chenson Assigned To => chenson
2013-12-14 12:04 chenson Status assigned => resolved
2013-12-14 12:04 chenson Fixed in Version => 3.5.12
2013-12-14 12:04 chenson Resolution open => fixed
2013-12-18 10:55 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7796
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7798
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 989e8c50
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7b1abeb5